TypeToken.TypeSet
Date: 2016-05-24

com.google.common.reflect

## Class TypeToken.TypeSet

- java.lang.Object
- - com.google.common.collect.ForwardingObject
  - - com.google.common.collect.ForwardingCollection<E>
    - - com.google.common.collect.ForwardingSet<TypeToken<? super T>>
      - - com.google.common.reflect.TypeToken.TypeSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<TypeToken<? super T>>, java.util.Collection<TypeToken<? super T>>, java.util.Set<TypeToken<? super T>>
  Enclosing class:
    TypeToken<T>

      public class TypeToken.TypeSet
      extends ForwardingSet<TypeToken<? super T>>
      implements java.io.Serializable

  The set of interfaces and classes that `T` is or is a subtype of. `Object` is not included in the set if this type is an interface.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeToken.TypeSet` | `classes()` Returns the types that are classes.
    `protected java.util.Set<TypeToken<? super T>>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
    `TypeToken.TypeSet` | `interfaces()` Returns the types that are interfaces implemented by this type.
    `java.util.Set<java.lang.Class<? super T>>` | `rawTypes()` Returns the raw types of the types in this set, in the same order.

    - ### Methods inherited from class com.google.common.collect.ForwardingSet

      `equals, hashCode, standardEquals, standardHashCode, standardRemoveAll`

    - ### Methods inherited from class com.google.common.collect.ForwardingCollection

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, standardAddAll, standardClear, standardContains, standardContainsAll, standardIsEmpty, standardRemove, standardRetainAll, standardToArray, standardToArray, standardToString, toArray, toArray`

    - ### Methods inherited from class com.google.common.collect.ForwardingObject

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Method Detail

    - #### interfaces

          public TypeToken.TypeSet interfaces()

      Returns the types that are interfaces implemented by this type.

    - #### classes

          public TypeToken.TypeSet classes()

      Returns the types that are classes.

    - #### delegate

          protected java.util.Set<TypeToken<? super T>> delegate()

      Description copied from class: `ForwardingObject`
      Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.
      Specified by:
        `delegate` in class `ForwardingSet<TypeToken<? super T>>`

    - #### rawTypes

          public java.util.Set<java.lang.Class<? super T>> rawTypes()

      Returns the raw types of the types in this set, in the same order.